pipeline {
    agent { label 'jenkins-nodejs-agent' }




    stages {
        stage('Build static content') {
            steps {
               sh '''
                  npm install
                  npm run build
                  echo
                  docker build -t bbuddy/bbuddy_ui:latest .
               '''
            }
        }
        stage('Push image to harbor ') {
            steps {
               sh '''
                  sudo docker login https://harbor-wtkp3fsbv6.vertexa.devbay.tech/  -u 'robot$jenkins' -p 'ZrzsVIAeueW1p0alpAnPfM5CDtaRVVKz'
                  sudo docker tag bbuddy/bbuddy_ui:latest harbor-wtkp3fsbv6.vertexa.devbay.tech/bbuddy/bbuddy_ui:latest
                  sudo docker push harbor-wtkp3fsbv6.vertexa.devbay.tech/bbuddy/bbuddy_ui:latest
 
               '''
            }
        }
    }
}